Subject: [nvo3] Mail regarding draft-ietf-nvo3-geneve

From: Leonid Rozenboim <[email-masked]>
Date: Mon, 2 Jul 2018 17:45:30 -0700

I hereby propose to rename the 8-bit “Reserved” field in the 2nd word to “FlowLabel”, similarly to NVGRE header format (RFC 7637).

This will allow a tunnel end-point to scale-out a packet incoming from a physical network, without peeking into the overlay (inner) L4 headers.
In some use cases, the inner L4 header is encrypted and is not available to the receiver until much later in the processing stages, too much later.

Some may argue that an 8-bit flow label is not wide enough, to which I would respond that it is wide enough for a machine with up to 256 processors/threads.

An alternative could be to require a normative header option carrying a 32-bit flow label.

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 03 Jul 2018 22:54:33 -0400

Leonid Rozenboim <[email-masked]> writes:
> I hereby propose to rename the 8-bit "Reserved" field in the 2nd word
> to "FlowLabel", similarly to NVGRE header format (RFC 7637).
> [...]
> Some may argue that an 8-bit flow label is not wide enough, to which I
> would respond that it is wide enough for a machine with up to 256
> processors/threads.

The typical flowlabel these days is carried in the source UDP port, with
the high-order two bits being 11 and the low-order 14 bits carrying flow
information.  This proposal for Geneve doesn't carry as much entropy,
but the bits are available.

> An alternative could be to require a normative header option carrying

It might also be worth defining such a label for carrying generalized
flow identification information.  I suppose that in some environments,
it might be useful to carry even 64 bits of flow identification.

Dale

---

From: "Ganga, Ilango S" <[email-masked]>
Date: Thu, 5 Jul 2018 18:37:50 +0000

Leonid,

The UDP source port number in the outer header is used to carry flow entropy. See section 3.3 in the Geneve draft.  The use of source UDP port number for flow entropy is common in other UDP based encapsulations.

Regards,
Ilango

-----Original Message-----
From: nvo3 [mailto:[email-masked]] On Behalf Of Leonid Rozenboim
Sent: Monday, July 2, 2018 5:46 PM
To: [email-masked]
Subject: [nvo3] Mail regarding draft-ietf-nvo3-geneve

An alternative could be to require a normative header option carrying a 32-bit flow label.
_______________________________________________
nvo3 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nvo3